import pandas as pd
from cycle import cycle

filepath = "D:/python_project/TurbineExhaustTemperatureTheromcouple-FourWorkingCondition.xlsx"
origin_data = pd.read_excel(filepath,sheet_name='s4_ttxd')
row_len = origin_data.shape[0]
cow_len = origin_data.shape[1]
disturb_data = origin_data
algorithm_step = cycle()

cow_name = "ttxd_12_1"
algorithm_step.set_config('{"CYCLE_AMPLITUDE_BASE": 200 , "CYCLE_TIME_BASE": 5 ,"CYCLE_START_ANGLE_BASE": 3.14}')
# algorithm_step.set_config('{"CYCLE_TIME_BASE": 5 }')
for i in range(0,row_len):
    disturb_data.loc[i,cow_name]=algorithm_step.eval(origin_data.loc[i,cow_name],i)
print(disturb_data)


# 以下均为测试性能用
print(algorithm_step.config_)